#include <bits/stdc++.h>
using namespace std;

int a[200001], a1[200001];

int main()
{
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        cin >> a[i] >> a1[i];
    }
    sort (a, a + n);
    sort (a1, a1 + n);
    int resenje = 0, br = 0;
    for (int i = 0; i < n; i++) {
        int x = a[i];
        while (x == a[i] && i < n) {
            i++;
        }
        i--;
        resenje += (x - br - 1);
        br = x;
    }
    resenje += (n - a[n - 1]);
    br = 0;
    for (int i = 0; i < n; i++) {
        int x = a1[i];
        while (x == a1[i] && i < n) {
            i++;
        }
        i--;
        resenje += (x - br - 1);
        br = x;
    }
    resenje += (n - a1[n - 1]);
    cout << resenje;
    return 0;
}